#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libsamplerate
Version		:	0.1.9
Release		:	17.2.0.rel%{?dist}
Summary		:	Sample rate conversion library for audio data
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.mega-nerd.com/SRC

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is converting
audio from the CD sample rate of 44.1kHz to the 48kHz sample rate used
by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 256 to upsampling by the same factor.
Arbitrary in this case means that the ratio of input and output sample
rates can be an irrational number. The conversion ratio can also vary
with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 145dB with -3dB passband extending from DC
to 96% of the theoretical best bandwidth for a given pair of input
and output sample rates.

Since the library has few dependencies beyond that provided by the
standard C library, it should compile and work on just about any
operating system. It is known to work on Linux, MacOSX, Win32 and
Solaris. With some relatively minor hacking it should also be relatively
easy to port it to embedded systems and digital signal processors.

In addition, the library comes with a comprehensive test suite which
can validate the performance of the library on new platforms.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	htmldocdir=%{_defaultdocdir}/%{name}-%{version}	\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README
%{_includedir}/samplerate.h
%{_bindir}/sndfile-resample
%{_libdir}/%{name}*.{la,so*}
%{_libdir}/pkgconfig/samplerate.pc
%{_defaultdocdir}/%{name}-%{version}/*.html
%{_defaultdocdir}/%{name}-%{version}/SRC.*

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
